Skip to main content
POST
Create collateral OCO order

Authorizations

X-TXC-APIKEY
string
header
required

The public WhiteBIT API key.

X-TXC-PAYLOAD
string
header
required

Base64-encoded JSON request body.

X-TXC-SIGNATURE
string
header
required

HMAC-SHA512 signature of the payload, hex-encoded. Computed as hex(HMAC-SHA512(payload, api_secret)).

Body

application/json
market
string
required
Example:

"BTC_USDT"

side
enum<string>
required
Available options:
buy,
sell
Example:

"buy"

amount
string
required
Example:

"0.001"

price
string
required
Example:

"40000"

activation_price
string
required
Example:

"41000"

stop_limit_price
string
required
Example:

"42000"

request
string
required
Example:

"{{request}}"

nonce
string
required
Example:

"{{nonce}}"

client_order_id
string
Example:

"order1987111"

Response

Successful response - OCO order created

id
integer

OCO order identifier

Example:

117703764513

stop_loss
object

Stop loss order details

take_profit
object

Take profit order details